Kerbal Space Program - Bug #23997

Some parts are not being shielded from airstream by the fairings
10/21/2019 05:05 PM - iulianf

Status: Resolved Start date: 10/21/2019
Severity: Low % Done: 100%
Assignee: victorr

Category: Physics

Target version: 1.9.0

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

After the last release (1.8.0) | noticed that some parts ("MK2 cockpit", and MK2 to 1.25 Adapter Long" among them) are not being
shielded by the fairings, even they are fully enveloped by the fairings.

History

#1 - 10/21/2019 05:12 PM - iulianf
- File Fairing_bug 1_0.craft added

#2 - 10/21/2019 08:03 PM - Anth12
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed, but this isn't straight forward.
| can put 2 longer girder segments on top of each other and the top one will show drag and the one on the bottom wont.

| tested a few of the other fairings and they didnt have any problem at all.

I will look into this a big later, | want to see if the drag cubes are different from 1.7.3 and 1.8
Definitely doesnt happen in 1.7.3

#3 - 10/22/2019 01:58 AM - Anth12

- File 1.7.3 Fairing Bug.png added

- File 1.8.0 Fairing Bug.png added

- File Anth1256 1_7_3 Version.craft added

Here is an additional 2 screen shots that might put light on this issue for comparison.

Plus a craft that is compatible with 1.7.3.

| wonder if this is related to the drag/heat issues?

#4 - 10/22/2019 03:02 AM - Anth12

Further testing shows the next fairing 1.875 does have some issues.

#5 - 10/22/2019 03:49 PM - victorr
- File Fairings not shielding larger parts.png added

- Assignee set to victorr

#9 - 10/25/2019 09:39 PM - casualMLG

| discovered that from certain height upwards the fairings don't shield anything. The height is different for different fairing models and seems to start
from the dlstance where interstage nodes end for every fairing respectlvely Here is my reddit post about |t

dium= web2x
https://www.reddit.com/r/KerbalSpaceProgram/comments/dkmpsm/fairings_are_bugged_from_certain_height_upwards/?utm_source=share&utm_medium=web2x
https://www.reddit.com/r/KerbalSpaceProgram/comments/dkmpsm/fairings_are_bugged_from_certain_height_upwards/?utm_source=share&utm_medium=web2x

Edit: Seems to be fixed in 1.8.1

#10 - 10/27/2019 09:57 PM - vrampal

Looks like the following issues are all related:

https://bugs.kerbalspaceprogram.com/issues/23924
https://bugs.kerbalspaceprogram.com/issues/23961
https://bugs.kerbalspaceprogram.com/issues/23966
https://bugs.kerbalspaceprogram.com/issues/23997

Fairing, heat-shield or any other part does not deflect the re-entry air flow.
#11 - 02/15/2020 05:40 PM - victorr

- Status changed from Confirmed to Ready to Test

- Target version set to 1.9.0

- % Done changed from 10 to 80

We have made changes in this last release and would like your feedback please.

#12 - 02/16/2020 01:09 AM - Anonymous
It does seem to have been fixed in release 1.8.1, mentioned in comment #9, but then

victorr wrote:

We have made changes in this last release and would like your feedback please.

What are these changes in 1.9.0? Do you suspect a regression ?

#13 - 02/19/2020 03:37 AM - Anonymous
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

| cannot find any relevant change, and the behaviour remains the same as on 1.8.1 on the example craft.

Files

screenshot631.png 2.66 MB 10/21/2019 iulianf
screenshot633.png 2.6 MB 10/21/2019 iulianf
Fairing_bug 1_0.craft 33.2KB 10/21/2019 iulianf
1.7.3 Fairing Bug.png 951 KB 10/22/2019 Anth12
1.8.0 Fairing Bug.png 1.01 MB 10/22/2019 Anth12
Anth1256 1_7_3 Version.craft 24.7 KB 10/22/2019 Anth12
Fairings not shielding larger parts.png 2.33 MB 10/22/2019 victorr

04/30/2024 22


https://bugs.kerbalspaceprogram.com/issues/23924
https://bugs.kerbalspaceprogram.com/issues/23961
https://bugs.kerbalspaceprogram.com/issues/23966
https://bugs.kerbalspaceprogram.com/issues/23997
http://www.tcpdf.org

